Home | All Classes | Grouped Classes | Index | Search

# CL_DomDocument::get_elements_by_tag_name

Returns a NodeList of all the Elements with a given tag name in the order in which they would be encountered in a preorder traversal of the Document tree.

    	CL_DomNodeList get_elements_by_tag_name(
    		const std::string& tag_name);

Parameters:

tagname
  The name of the tag to match on. The special value "*" matches all tags.

See also:

CL_DomNodeList | CL_DomNode | CL_DomDocument

Questions or comments, write to the ClanLib mailing list.